%define major		0
%define libname		%mklibname openimagedenoise %{major}
%define develname	%mklibname openimagedenoise -d

Name:		oidn
Version:	1.2.4
Release:	%mkrel 1
Summary:	Library of denoising filters for images rendered with ray tracing
Group:		System/Libraries
License:	ASL 2.0
URL:		https://openimagedenoise.github.io/
Source0:	https://github.com/OpenImageDenoise/%{name}/releases/download/v%{version}/%{name}-%{version}.src.tar.gz

# Library only available of x86_64 arch
ExclusiveArch:	x86_64

BuildRequires:	cmake
BuildRequires:	gcc-c++
BuildRequires:	ispc
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(tbb)

%description
An open source library of high-performance, high-quality denoising
filters for images rendered with ray tracing.

#------------------------------------------------

%package -n	%{libname}
Summary:	Library of denoising filters for images rendered with ray tracing
Group:		System/Libraries

%description -n	%{libname}
An open source library of high-performance, high-quality denoising
filters for images rendered with ray tracing..

#------------------------------------------------

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{name} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	openimagedenoise-devel = %{version}-%{release}

%description -n	%{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

#------------------------------------------------

%package	docs
Summary:	Documentation for %{name}
Group:		Documentation
BuildArch:	noarch

%description	docs
The %{name}-docs package contains documentation for %{name}.

#------------------------------------------------

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

# Remove duplicated documentation
rm -rf %{buildroot}%{_docdir}/OpenImageDenoise

%files
%license LICENSE.txt
%doc CHANGELOG.md
%{_bindir}/oidnDenoise
%{_bindir}/oidnTest
%{_bindir}/oidnBenchmark

%files -n %{libname}
%{_libdir}/libOpenImageDenoise.so.%{major}
%{_libdir}/libOpenImageDenoise.so.%{version}

%files -n %{develname}
%{_includedir}/OpenImageDenoise/
%{_libdir}/libOpenImageDenoise.so
%{_libdir}/cmake/OpenImageDenoise/

%files docs
%doc README.md readme.pdf


%changelog
* Wed Oct 21 2020 daviddavid <daviddavid> 1.2.4-1.mga8
+ Revision: 1637553
- new version: 1.2.4

* Mon Sep 14 2020 daviddavid <daviddavid> 1.2.3-1.mga8
+ Revision: 1626491
- new version: 1.2.3

* Tue Jul 14 2020 daviddavid <daviddavid> 1.2.2-1.mga8
+ Revision: 1605916
- new version: 1.2.2

* Sun Jun 21 2020 daviddavid <daviddavid> 1.2.1-1.mga8
+ Revision: 1598262
- new version: 1.2.1

* Sat Jun 06 2020 daviddavid <daviddavid> 1.2.0-1.mga8
+ Revision: 1590747
- new version: 1.2.0

* Tue Feb 18 2020 daviddavid <daviddavid> 1.1.0-2.mga8
+ Revision: 1538783
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Nov 24 2019 daviddavid <daviddavid> 1.1.0-1.mga8
+ Revision: 1462618
- initial package oidn

